
# NOTE: build against: rhevm-*-docs-candidate

%global manualdir %{_docdir}/%{name}/manual
%global locale en-US
%global beta 1
%global product_line 3.4
%if 0%{?beta}
%define depsuffix -Beta
%endif

Name:		rhevm-doc
Version:	%{product_line}.0
Release:	2%{?dist}

Summary:	Red Hat Enterprise Virtualization documentation
Group:		Documentation
License:	CC-BY-SA
URL:		http://docs.redhat.com
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}-index-%{version}.002.tar.gz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	python
BuildRequires:	python-argparse
BuildRequires:	Red_Hat_Enterprise_Virtualization-Administration_Guide-%{product_line}%{?depsuffix}-web-%{locale}
BuildRequires:	Red_Hat_Enterprise_Virtualization-Installation_Guide-%{product_line}%{?depsuffix}-web-%{locale}
BuildRequires:	Red_Hat_Enterprise_Virtualization-Technical_Guide-%{product_line}%{?depsuffix}-web-%{locale}
BuildRequires:	Red_Hat_Enterprise_Virtualization-Manager_Release_Notes-%{product_line}%{?depsuffix}-web-%{locale}
BuildRequires:	Red_Hat_Enterprise_Virtualization-User_Guide-%{product_line}%{?depsuffix}-web-%{locale}

%description

This package contains the Red Hat Enterprise Virtualization 
documentation in html and pdf format.

%prep
%setup -q -c -n rhevm-doc
%setup -q -T -a 1 -c -n rhevm-doc-index

%build
make

%install
rm -rf "%{buildroot}"
cd "%{_builddir}"
make -C rhevm-doc-index install DESTDIR="%{buildroot}"

mkdir -p "%{buildroot}%{manualdir}/%{locale}"
cp -r rhevm-doc/RedHat rhevm-doc/common "%{buildroot}%{manualdir}"
cp -r /var/www/html/docs/%{locale}/Red_Hat_Enterprise_{Virtualization,Linux}/*/html "%{buildroot}%{manualdir}/%{locale}" || /bin/true
cp -r /var/www/html/docs/%{locale}/Red_Hat_Enterprise_{Virtualization,Linux}/*/pdf "%{buildroot}%{manualdir}/%{locale}" || /bin/true

# PDF files contain the version in their filename. We don't want to include the
# -Beta, because that will break the splash page.
%if 0%{?beta}
find "%{buildroot}%{manualdir}/%{locale}/pdf" -name '*.pdf' | while read f; do
    if echo "${f}" | grep -q Beta; then
        mv "${f}" "$(echo "${f}" | sed 's/%{depsuffix}//')"
    fi
done
%endif

find "%{buildroot}%{manualdir}" -name '*.html' | while read f; do
    sed -i -e :a -e 's#<script type="text/javascript".*</script>##g;/</N;//ba;' "${f}"
    sed -i -e :a -e 's#<div id="tocdiv" class="toc"><iframe.*</iframe></div>##g;/</N;//ba;' "${f}"
    sed -i -e 's#\.\./\.\./\(\.\./\.\./\.\./\)#\1#g' "${f}"
done

install -m 0755 -d "%{buildroot}%{_sysconfdir}/ovirt-engine/engine.conf.d"
cat > "%{buildroot}%{_sysconfdir}/ovirt-engine/engine.conf.d/10-rhevm-doc.conf" << __EOF__
ENGINE_MANUAL="%{manualdir}"
__EOF__

%files 
%dir %{_docdir}/%{name}
%config %{_sysconfdir}/ovirt-engine/engine.conf.d/10-rhevm-doc.conf
%{manualdir}/

%changelog
* Tue Apr 1 2014 Kiril Nesenko <knesenko@redhat.com> - 3.4.0-2
- 3.4.0-2
